<div class="group-autocomplete">
  <div class="box-autocomplete">
    <mat-form-field class="input-page" appearance="outline">
      <input matInput [placeholder]="placeholder" [(ngModel)]="querySearch" (focus)="search()" (keyup)="search()" />
    </mat-form-field>
    <a href="javascript:;" class="click-search">
      <i class="material-icons">search</i>
    </a>
  </div>
  <div class="box-list" *ngIf="showListSamples && data.length">
    <ul class="list-search">
      <li *ngFor="let item of data">
        <a href="javascript:;" (click)="selectValueFunc(item)">
          <p [innerHTML]="highlightText(item.name, querySearch)" class="one"></p>
        </a>
      </li>
    </ul>
  </div>
</div>
